net.i2p.crypto

## Class CryptoConstants

- java.lang.Object
- - net.i2p.crypto.CryptoConstants

-     public final class CryptoConstants
      extends Object

  Prime for ElGamal from http://tools.ietf.org/html/rfc3526 Primes for DSA: Generated by TheCrypto http://article.gmane.org/gmane.comp.security.invisiblenet.iip.devel/343 See also: ECConstants, RSAConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DSAParameterSpec` | `DSA_SHA1_SPEC`
    `static NativeBigInteger` | `dsag`
    `static NativeBigInteger` | `dsap`
    `static NativeBigInteger` | `dsaq`
    `static AlgorithmParameterSpec` | `ELGAMAL_2048_SPEC` This will be org.bouncycastle.jce.spec.ElgamalParameterSpec if BC is available, otherwise it will be net.i2p.crypto.ElgamalParameterSpec
    `static NativeBigInteger` | `elgg`
    `static NativeBigInteger` | `elgp` 2048-bit MODP Group from RFC 3526
    `static ElGamalParameterSpec` | `I2P_ELGAMAL_2048_SPEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DSA_SHA1_SPEC

          public static final DSAParameterSpec DSA_SHA1_SPEC

    - #### dsag

          public static final NativeBigInteger dsag

    - #### dsap

          public static final NativeBigInteger dsap

    - #### dsaq

          public static final NativeBigInteger dsaq

    - #### ELGAMAL_2048_SPEC

          public static final AlgorithmParameterSpec ELGAMAL_2048_SPEC

      This will be org.bouncycastle.jce.spec.ElgamalParameterSpec if BC is available, otherwise it will be net.i2p.crypto.ElgamalParameterSpec

    - #### elgg

          public static final NativeBigInteger elgg

    - #### elgp

          public static final NativeBigInteger elgp

      2048-bit MODP Group from RFC 3526

    - #### I2P_ELGAMAL_2048_SPEC

          public static final ElGamalParameterSpec I2P_ELGAMAL_2048_SPEC

  - ### Constructor Detail

    - #### CryptoConstants

          public CryptoConstants()